Package org.eclipse.mat.ui.internal.acquire

## Class ProviderConfigurationWizardPage

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.wizard.WizardPage
    - - org.eclipse.mat.ui.internal.acquire.ProviderConfigurationWizardPage

All Implemented Interfaces:
  `IDialogPage`, `IMessageProvider`, `IWizardPage`, `ProviderArgumentsTable.ITableListener`

    public class ProviderConfigurationWizardPage
    extends WizardPage
    implements ProviderArgumentsTable.ITableListener

Handles configuring arguments for a particular dump provider.

### Field Summary

Fields
`static String` `HIDE_QUERY_HELP`

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

### Constructor Summary

Constructors
`ProviderConfigurationWizardPage​(AcquireDialog acquireDialog)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canFlipToNextPage()` Use canFlipToNextPage() instead of `isPageComplete()` so that getNextPage() is not called all the time, only when moving.
`void` `createControl​(Composite parent)`
`IWizardPage` `getNextPage()`
`boolean` `isPageComplete()`
`void` `onError​(String message)`
`void` `onFocus​(String message)`
`void` `onInputChanged()`
`void` `onValueChanged()`
`void` `performHelp()`
`void` `processSelected​(AnnotatedObjectArgumentsSet argumentSet)` Called from AcquireDialog with a process argument set, use to find the provider
`void` `relocateHelp​(boolean create)`
`void` `setVisible​(boolean f)`

### Methods inherited from class org.eclipse.jface.wizard.WizardPage

`getImage, getName, getPreviousPage, getShell, getWizard, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, setMessage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle`

### Field Detail

#### HIDE_QUERY_HELP

    public static final String HIDE_QUERY_HELP

See Also:
  Constant Field Values

### Constructor Detail

#### ProviderConfigurationWizardPage

    public ProviderConfigurationWizardPage​(AcquireDialog acquireDialog)

### Method Detail

#### createControl

    public void createControl​(Composite parent)

Specified by:
  `createControl` in interface `IDialogPage`

#### getNextPage

    public IWizardPage getNextPage()

Specified by:
  `getNextPage` in interface `IWizardPage`
Overrides:
  `getNextPage` in class `WizardPage`

#### relocateHelp

    public void relocateHelp​(boolean create)

#### setVisible

    public void setVisible​(boolean f)

Specified by:
  `setVisible` in interface `IDialogPage`
Overrides:
  `setVisible` in class `DialogPage`

#### onInputChanged

    public void onInputChanged()

Specified by:
  `onInputChanged` in interface `ProviderArgumentsTable.ITableListener`

#### onValueChanged

    public void onValueChanged()

Specified by:
  `onValueChanged` in interface `ProviderArgumentsTable.ITableListener`

#### onError

    public void onError​(String message)

Specified by:
  `onError` in interface `ProviderArgumentsTable.ITableListener`

#### onFocus

    public void onFocus​(String message)

Specified by:
  `onFocus` in interface `ProviderArgumentsTable.ITableListener`

#### canFlipToNextPage

    public boolean canFlipToNextPage()

Use canFlipToNextPage() instead of `isPageComplete()` so that getNextPage() is not called all the time, only when moving.

Specified by:
  `canFlipToNextPage` in interface `IWizardPage`
Overrides:
  `canFlipToNextPage` in class `WizardPage`

#### isPageComplete

    public boolean isPageComplete()

Specified by:
  `isPageComplete` in interface `IWizardPage`
Overrides:
  `isPageComplete` in class `WizardPage`

#### performHelp

    public void performHelp()

Specified by:
  `performHelp` in interface `IDialogPage`
Overrides:
  `performHelp` in class `DialogPage`

#### processSelected

    public void processSelected​(AnnotatedObjectArgumentsSet argumentSet)

Called from AcquireDialog with a process argument set, use to find the provider